PHPMotionインストール.sh for v2.1

PHPMotionのV3がいつ出るのかwktkしながら結構な間待ってるんですがなかなか出ませんね。

今回のスクリプト(そんな仰々しいものではないんですが)はほとんど内容は変わってませんが、とりあえず

  1. ffmpegのconfigure時にエラーが出るものへの対処
  2. lame MP3のバージョンが上がっていたので新Verへ
  3. faad2のVerを最新のVerへ
  4. その他の微調整

見たいな感じです。

Download:phpmotion_for_v2.1_0324.sh.txt

http://menta.orz.hm/video/

変更点の詳細

  • lameのVerを3.9.6→3.9.8-2へ
  • faad2のVerを2.6.1→2.7へ
  • ffmpegのオプションを
    ./configure –enable-libmp3lame –enable-libx264 –enable-libxvid –enable-libfaac –enable-libfaad –enable-pthreads –enable-gpl –enable-shared –prefix=/usr

    ./configure –enable-libmp3lame –enable-libx264 –enable-libxvid –enable-libfaac –enable-libfaad –enable-pthreads –enable-gpl –enable-shared –enable-nonfree –prefix=/usr
    へ変更

こんな感じです。

テスト環境:

  1. ML115 G1 +CentOS 5.2 i386
  2. Express5800 S70/SD +CentOS 5.2 i386

このスクリプトの使い方の詳細は

PHPMotion インストール スクリプト:http://menta.orz.hm/?p=156

を参照してください。

気づいてる方も案外居るようですが、このPHPMotion用にインストールするffmpegのオプションはfoltiaHD用に流用するためのオプションです。